=== debian/control ===
Source: vidcutter
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pete Alexandrou <pete@ozmartians.com>
Section: video
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://vidcutter.ozmartians.com

Package: vidcutter
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-pyqt5, libmpv1, ffmpeg | libav-tools, mediainfo
Description: simple & fast video cutter/joiner
 The simplest & sexiest tool for cutting and joining your videos without
 the need for re-encoding or a diploma in multimedia. VidCutter focuses on
 getting the job done using tried and true tech in its arsenal via
 mpv and FFmpeg.
 .
