## vidcutter 6.0.0

=== debian/changelog ===
vidcutter (6.0.0-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Aug 2018 16:14:13 -0700

vidcutter (5.5.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Add debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Apr 2018 18:40:13 -0700

vidcutter (5.0.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Minimum required version of python3 is 3.5.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 24 Nov 2017 19:12:37 -0800

vidcutter (5.0.0~201711151653~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- ozmartian <pete@ozmartians.com>  Wed, 15 Nov 2017 16:57:39 +0000
