=== debian/control ===
Source: vidcutter
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pete Alexandrou <pete@ozmartians.com>
Section: video
Priority: optional
Build-Depends: debhelper (>= 9),
                dh-python,
                libmpv-dev,
                python3-setuptools,
                python3-all (>= 3.5),
                python3-dev (>= 3.5)
Standards-Version: 3.9.8
Homepage: http://vidcutter.ozmartians.com

Package: vidcutter
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends},
          python3-pyqt5,
          python3-pyqt5.qtopengl,
          python3-pyqt5.qtx11extras,
          libmpv1,
          ffmpeg | libav-tools, mediainfo, python3-opengl
Description: simplest and fastest video cutter & joiner
 The simplest and quickest tool for cutting and joining your videos without
 the need for re-encoding or a diploma in multimedia. VidCutter focuses on
 getting the job done, using tried and true tech in its arsenal via mpv
 and FFmpeg.
 .
