## vidcutter 6.0.5.1

=== debian/changelog ===
vidcutter (6.0.5.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 09 Nov 2021 13:28:50 -0800

vidcutter (6.0.5.1-1~ubuntu21.10.1) impish; urgency=low

  * Auto build.

 -- ozmartian <pete@ozmartians.com>  Tue, 22 Jun 2021 06:28:35 +0000

vidcutter (6.0.5.1-1) stable; urgency=medium

  * libmpv updates for new Render API

  * snap YAML updates

  * flatpak updates

  * debian updates for Launchpad PPA

 -- Pete Alexandrou <pete@ozmartians.com>  Mon, 07 Jun 2021 15:30:00

vidcutter (6.0.0-1) stable; urgency=medium

  * MAJOR FEATURE: video filters menu option added to app menu accessed via
    right-click or the bottom-right menu button. the first filter available
    is BLACKDETECT which automatically creates clips in your clip index based
    around black scene changes that are detected. selecting the filter once
    a media file has been loaded will prompt for a black scene minimum
    duration in seconds, allowing you to tweak the black frame sensitivity to
    reduce or increase the amount of scenes detected. this is mainly useful for
    skipping commercials (e.g. comskip) or auto-detecting scene transitions.
    more filters will be added in future updates.

  * MAJOR FEATURE: automatic chapters created per clip in your list. enabled by
    default and can be toggled via Settings -> General and a new toggle button
    in the left hand side group of the UI buttons.

  * MAJOR FEATURE: chapter names can be edited from their default set values
    via new edit chapter option when right-clicking on a clip in your list. all
    clip will default to "Chapter <x>" as their default text which is what
    a media center or half-decent player will display in menu and you are
    able to skip directly to each clip point using standard previous/next buttons
    (if they are set in their default state, obviously)

  * External media file joins (when wanting to just join a set of files using the
    the ADD button under the Video Index) are fixed; the last version broke
    this once timeline progressbars were added. Progress for external joins
    is displayed in progressbars overlaying associated clips directly in the
    Clip Index which replaces timeline progressbar functionality when all clips
    are external (i.e. not loaded via Open Media thus not associated with a
    project)

  * Added new "Enable use of PBOs" setting under the Video category for use of
    pixel buffer objects when rendering OpenGL video. Used for noticeable
    performance improvements when working with huge/4K media files.

  * Fixed a bug caused when removing a clip with a start time but no end time
    from your index.

  * OSD (on-screen display) text defined for all user actions + standardised
    OSD case and wording/format.

  * Main clip list's scrolling mode changed to per pixel for smoother
    vertical scrolling and no snapping of clips as they are scrolled into
    view.

  * snap + Flatpak manifests completed w/ app now available from respective
    stores and repos (i.e snapcraft.io + flathub.org). These builds come
    prepacked with the very latest releases of FFmpeg, libmpv, MediaInfo as
    well as the UI libraries for Qt5 and PyQt5.

  * Fixed clip index heading not extending to full width of list when it
    becomes scrollable when more than 4 clips are added to the index.

  * LINUX: all icons, desktop, mime-type, appstream related files has have
    been renamed to domain based app-id (com.ozmartians.VidCutter) as per
    freedesktop specs. updates made to support this across the vast array of
    deploy/build scripts. makes things much more tidy and less error prone in
    AppImage, Flatpak and Snap package build scripts.

  * UI improvements to media stream dialog; most consistent across differing
    desktop sizes and stream configurations

  * Flatpak: Qt 5.11 + dependency updates + NVIDIA h/w decoding fixes

 -- Pete Alexandrou <pete@ozmartians.com>  Thu, 02 Aug 2018 18:20:00

vidcutter (5.5.0-1) stable; urgency=medium

  * The most requested feature is finally added; media stream configuration! A
    new media stream button has been added and enabled for use when
    clips are all derived from the same source media OR media files added
    manually all share the same codecs, formats, etc... A view of all
    detected streams including video, audio, text/subtitles. Chapters are not
    included as they are treated differently by FFmpeg and followng the usual
    rule of thumb in VidCutter which is they will be included in your end
    result if the original source is not corrupt or in some weird non-standard
    configuration.

  * Migrated main toolbar buttons from QToolBar + QActions to new custom
    widget VCToolBarButton handling QPushButton with attached. This allows
    working pressed states on existing toolbar buttons which QToolBar buttons
    (for reasons I cannot fathom) do not.

  * Tools section added to settings for setting paths to three main tools
    used by VidCutter; FFmpeg, FFprobe and MediaInfo. Set to Defaults
    button reverts changes to defaults, especially useful for users of
    bundled packages of app (AppImage, Windows and macOS which contain
    these tools prepacked). Allows you to use different versions of said
    tools.

  * End of file is now being observed in the mpv library event pool so that
    playback state resets position back to the start, in pause and all
    controls in their default states.

  * Ability to set clip index list to the left or right (default) of main
    window.

  * Support for WTV (.wtv - Windows Recorded TV Show) media files
    (playback and cutting/joining) added.

  * New code for restarting app whe changing themes is causing problems in Windows,
    starting app again resolves things. My patience for Windows shell is at an all
    time low so will fix this when my care factor returns (if ever). Windows shell
    is a joke.


