=== debian/control ===
Source: vidcutter
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Pete Alexandrou <pete@ozmartians.com>
Section: video
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               libmpv-dev,
               python3-all,
               python3-dev,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://vidcutter.ozmartians.com

Package: vidcutter
Architecture: any
Depends: ffmpeg,
         libmpv1,
         mediainfo,
         python3-dev,
         python3-opengl,
         python3-pyqt5,
         python3-pyqt5.qtx11extras,
         python3-simplejson,
         ${misc:Depends},
         ${python3:Depends}
Description: fast and simple media cutter & joiner
 A modern, simple to use, constantly evolving and very fast MEDIA CUTTER +
 JOINER, with frame-accurate SmartCut technology + Qt5, libmpv, FFmpeg and
 MediaInfo powering the backend.
